import React, { Component } from 'react';
import PropTypes from 'prop-types';
import ReactDOM from 'react-dom';

export class CalendarPanel extends Component {
	renderElement() {
		const { children, className, style } = this.props;
		return (
			<div ref={el => (this.element = el)} className={className} style={style}>
				{children}
			</div>
		);
	}

	render() {
		const { appendTo } = this.props;
		const element = this.renderElement();

		if (appendTo) return ReactDOM.createPortal(element, appendTo);
		else return element;
	}
}

CalendarPanel.defaultProps = {
	appendTo: null,
	style: null,
	className: null,
};

CalendarPanel.propTypes = {
	appendTo: PropTypes.object,
	children: PropTypes.any,
	className: PropTypes.string,
	style: PropTypes.object,
};

export default CalendarPanel;
